#if !defined(AFX_NEWMAP_H__57A8E542_5BAE_11D3_94E9_0020AFA91F55__INCLUDED_)
#define AFX_NEWMAP_H__57A8E542_5BAE_11D3_94E9_0020AFA91F55__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// NewMap.h : header file
//

#include "mdimap.h"

/////////////////////////////////////////////////////////////////////////////
// CNewMap dialog

class CNewMap : public CDialog
{
// Construction
public:
	CNewMap(CWnd* pParent = NULL);   // standard constructor
	CStringArray m_TileSets;

// Dialog Data
	//{{AFX_DATA(CNewMap)
	enum { IDD = IDD_NEWMAP };
	CEdit	m_TileSet;
	CSpinButtonCtrl	m_LayerSpin;
	CComboBox	m_LayerCombo;
	UINT	m_Height;
	UINT	m_Width;
	int		m_NumLayers;
	UINT	m_Fill;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNewMap)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	int active;

	// Generated message map functions
	//{{AFX_MSG(CNewMap)
	virtual BOOL OnInitDialog();
	afx_msg void OnChangeNumlayers();
	afx_msg void OnBrowse();
	afx_msg void OnSelchangeLayercombo();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NEWMAP_H__57A8E542_5BAE_11D3_94E9_0020AFA91F55__INCLUDED_)
